%define oname	ruby-libvirt
%global gem_name ruby-libvirt

Name:           ruby-libvirt
Version:        0.8.0
Release:        %mkrel 1
Summary:        Ruby bindings for libvirt
License:        LGPLv2+
Group:          Development/Ruby
URL:            https://libvirt.org/ruby/
Source0:        https://rubygems.org/downloads/%{name}-%{version}.gem

BuildRequires:  rubygems
BuildRequires:  pkgconfig(ruby)
BuildRequires:  pkgconfig(libvirt) >= 0.4.0
BuildRequires:  libvirt-utils
BuildRequires:  qemu

%description
Ruby bindings for libvirt.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}/%{gem_extdir_mri}/ext

%files
%doc COPYING NEWS README
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}


%changelog
* Fri Jul 29 2022 bcornec <bcornec> 0.8.0-1.mga8
+ Revision: 1872958
- Updated for vagrant-libvirt inclusion in mga8

* Mon Mar 02 2020 pterjan <pterjan> 0.5.2-10.mga8
+ Revision: 1553163
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 0.5.2-9.mga8
+ Revision: 1516646
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-8.mga7
+ Revision: 1300886
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 0.5.2-7.mga7
+ Revision: 1188675
- Rebuild for Ruby 2.5

* Tue Aug 15 2017 pterjan <pterjan> 0.5.2-6.mga7
+ Revision: 1140839
- Rebuild for new Ruby

* Wed Feb 17 2016 umeabot <umeabot> 0.5.2-5.mga6
+ Revision: 962735
- Mageia 6 Mass Rebuild

* Wed Dec 02 2015 spuhler <spuhler> 0.5.2-4.mga6
+ Revision: 907682
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-3.mga5
+ Revision: 749411
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-2.mga5
+ Revision: 688852
- Mageia 5 Mass Rebuild
+ tv <tv>
- prepare for internal deps generator

* Fri Jan 24 2014 oden <oden> 0.5.2-1.mga4
+ Revision: 567705
- 0.5.2

* Sat Dec 28 2013 pterjan <pterjan> 0.4.0-9.mga4
+ Revision: 561996
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.4.0-8.mga4
+ Revision: 561376
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 0.4.0-7.mga4
+ Revision: 559614
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.4.0-6.mga4
+ Revision: 538685
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 0.4.0-5.mga4
+ Revision: 490187
- update file list
+ pterjan <pterjan>
- Rebuild for Ruby 2

* Tue Sep 10 2013 pterjan <pterjan> 0.4.0-4.mga4
+ Revision: 477381
- Use gem_setup
- Don't move lib/ files
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.4.0-4.mga3
+ Revision: 396123
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.4.0-3.mga3
+ Revision: 381097
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.4.0-2.mga3
+ Revision: 313137
- rebuild for new ruby

* Sun Jul 31 2011 misc <misc> 0.4.0-1.mga2
+ Revision: 130939
- new version 0.4.0

* Sun Apr 17 2011 misc <misc> 0.3.0-1.mga1
+ Revision: 87067
- update to 0.3.0

* Tue Mar 15 2011 shikamaru <shikamaru> 0.2.0-1.mga1
+ Revision: 72175
- Clean spec
- remove unnecessary macro definitions
- use gem distribution
- reorder tags
- kill buildroot
- one buildrequire per line
- files in vendor
- prefer %%{buildroot} over $RPM_BUILD_ROOT
+ saispo <saispo>
- imported package ruby-libvirt

